﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Telerik.Pivot.Core;

namespace RadPivotGrid_WPF_791286
{
    public class CellTemplateSelector : DataTemplateSelector
    {
        public DataTemplate GrandTotalTemplate { get; set; }
        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            var cellAggregate = item as CellAggregateValue;

            if (cellAggregate != null && cellAggregate.RowGroup.Type == GroupType.GrandTotal)
            {
                return this.GrandTotalTemplate;
            }

            return base.SelectTemplate(item, container);
        }
    }
}
